#! python
#This code is written so far by Armen Zambrano, Rueen Fiez and Vincent Lam;
#We have no knowledge of python, we don't know how are the l10n tools are used and we are
#struggling with a lot of assignments, please understand that we wrote it from scratch based on
#the examples that Axel has sent.
#To read more about out project check the website: #http://zenit.senecac.on.ca/wiki/index.php/Automated_localization_build_tool
# ***** BEGIN LICENSE BLOCK *****
# Version: MPL 1.1/GPL 2.0/LGPL 2.1
#
# The contents of this file are subject to the Mozilla Public License Version
# 1.1 (the "License"); you may not use this file except in compliance with
# the License. You may obtain a copy of the License at
# http://www.mozilla.org/MPL/
#
# Software distributed under the License is distributed on an "AS IS" basis,
# WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License
# for the specific language governing rights and limitations under the
# License.
#
# The Original Code is l10n test automation.
#
# The Initial Developer of the Original Code is
# Mozilla Foundation
# Portions created by the Initial Developer are Copyright (C) 2007
# the Initial Developer. All Rights Reserved.
#
# Contributor(s):
#
#       Rueen Fiez <rfiez-mo@learn.senecac.on.ca>
#       Axel Hecht <l10n@mozilla.com>
#       Vincent Lam <vlam6@learn.senecac.on.ca>
#       Armen Zambrano <azambran@learn.senecac.on.ca>
#
# Alternatively, the contents of this file may be used under the terms of
# either the GNU General Public License Version 2 or later (the "GPL"), or
# the GNU Lesser General Public License Version 2.1 or later (the "LGPL"),
# in which case the provisions of the GPL or the LGPL are applicable instead
# of those above. If you wish to allow use of your version of this file only
# under the terms of either the GPL or the LGPL, and not to allow others to
# use your version of this file under the terms of the MPL, indicate your
# decision by deleting the provisions above and replace them with the notice
# and other provisions required by the GPL or the LGPL. If you do not delete
# the provisions above, a recipient may use your version of this file under
# the terms of any one of the MPL, the GPL or the LGPL.
#
# ***** END LICENSE BLOCK *****

import re
import os
import Parser
from Parser import DTDParser
from Parser import PropertiesParser

# read all DTD file in the current directory and
# replace all the word "Color" to "Colour"
class Tool:
       #constructor
       def __init__(self):
               self.data = []

       # required for output
       def callback(self, instring):

               # >> color(s) -> colour(s) -- re.sub(r'([Cc])olor', r'\1olour', instring)
               # >> dialogue  -> dialog -- re.sub(r'([Dd])ialogue', r'\1ialog', instring)
               # >> Go forward -> Go forwards --
               # >> Minimize -> Minimise
               # >> Center -> Centre
               # >> Organize -> Organise
               # >> Customize -> Customise

               return re.sub(r'([Cc])olor', r'\1olour', instring)

 

       # make changes from original to change

#       def newcallback(self, original, change, instring):
#               return re.sub(r''+original, r''+change, instring)

# our main
if __name__ == '__main__':
       t = Tool()
       #set up the DTD Parser
       dtdParser = DTDParser()
       propParser = PropertiesParser()

       # read every DTD file in the directory
       for node in os.listdir('.'):
               if(node.endswith('.dtd')):
                       f = open(node+'.bak','w')
                       dtdParser.read(node)
                       #print t.callback(dtdParser.contents)

                       f.write(t.callback(dtdParser.contents))

                       f.close()

               elif(node.endswith('.properties')):
                       f = open(node+'.bak','w')
                       dtdParser.read(node)
                       #print t.callback(dtdParser.contents)

                       f.write(t.callback(dtdParser.contents))

                       f.close()



       #setup the file writer to output at ./colors.bak
       #f = open('./colors.bak','w')
       #read the file
       #p.read("colors.dtd")
       #write to the file according to the change
       #f.write(t.callback(p.contents))
       #f.close()


       print raw_input("press Return>")

